// @ts-check
// https://bun.sh/docs/bundler
// @ts-ignore
import { resolvePath } from '@kevisual/use-config/env';
import pkg from './package.json';
import { execSync } from 'node:child_process';

// bun run src/index.ts --
await Bun.build({
  target: 'node',
  format: 'esm',
  entrypoints: [resolvePath('./src/index.ts')],
  outdir: resolvePath('./dist'),
  naming: {
    entry: 'app.js',
  },

  define: {
    ENVISION_VERSION: JSON.stringify(pkg.version),
  },
  env: 'ENVISION_*',
});

